Subject: Re: [netmod] Proposed consensus on yang-01281: conformance

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Wed, 5 Nov 2008 15:35:28 +0100

Hi David,

> > Questions posed regarding this issue:
> > 
> >  1. Should there be a formal way of describing the deviations 
> > of  a particular device?  There was rough consensus that we 
> > should  have a formal syntax for documenting deviations.
> 
> I support this. 

IIRC I wasn't very positive on this in the interim meeting, but now 
I think this is useful and I support it. 
 
> >  2. Should this work be done in this working group?  There 
> > was  almost complete consensus that it should (David Harrington
> >  opposed.)
> 
> I support doing it in this WG as part of NETMOD definition. 

Support.

> >  3. Should the document say anything about how to organize 
> > these  statements in a module?  A long discussion about 
> > whether to  intermingle these statements with other language 
> > constructs.
> >  David Partain recommended that we state that one SHOULD put 
> > the  deviations in a separate module.  Should we have a 
> > statement  that says whether this should be in a separate 
> > module or not?
> >  Juergen: this is organizational; we shouldn't go there.  Editor:
> >  There is no documented consensus on this question.
> 
> Having missed the 'long discussion' I am not sure I understand all the
> details and arguments, but putting deviations in a separate 
> module makes
> more sense to me. 

We agree that having deviations in a separate module would be a 
good practice.
 
> > 
> >  4. Are we reasonably happy with the syntax (with caveat that 
> >  there is tweaking and clarification to be done)?  There was  
> > rough consensus that we start with the syntax as it currently  is.
> 
> Good starting point. 

We can start with the syntax as it is currently. 

Cheers,
Mehmet

> Dan
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
> 
_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod